import pickle


def load_pickle(fpath):
    gpu_data = []
    with open(fpath, "rb") as openfile:
        while True:
            try:
                gpu_data = pickle.load(openfile)
            except EOFError:
                break
    return gpu_data


def save_pickle(fpath, data):
    with open(fpath, "wb") as f:
        pickle.dump(data, f)
